routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Route::group(['namespace' => 'Web','as' => 'web.'], function () {

    //Home Page Routes
    Route::group(['as' => 'home.'], function () {

        Route::get('facebook', function () {
            return view('facebook');
        });
        Route::get('auth/facebook', 'FacebookController@redirectToFacebook')->name('facebook.login');
        Route::get('auth/facebook/callback', 'FacebookController@handleFacebookCallback');

        Route::get('/redirect', 'LoginController@redirectToProvider')->name('google.login');;
        Route::get('/callback', 'LoginController@handleProviderCallback');

        Route::get('/',     'HomeController@home')->name('index');

        Route::get('page/home',  'HomeController@home')->name('index');

        Route::get('/chits',             'HomeController@noteChits')->name('chits');

        Route::get('/about-us',      'HomeController@aboutUs')->name('about-us');

        Route::get('/contact-us',      'HomeController@contactUs')->name('contact-us');
        Route::post('/add-contact-us',      'HomeController@createContactUs')->name('add-contact');

        Route::get('/404',      'HomeController@notFound')->name('404');
        Route::get('/all-queries',      'HomeController@allQueries')->name('all-queries');
        Route::get('/my-queries',      'HomeController@myQueries')->name('my-queries');
        Route::get('/new-query',      'HomeController@newQuery')->name('new-query');
        Route::post('/add-query',      'HomeController@addQuery')->name('add-query');
        Route::get('/remove-query/{id}', 'HomeController@deleteQuery')->name('delete-query');

        Route::get('/category/{url}', 'HomeController@categoryNotes')->name('category');
    });

    //Notes without login
    Route::group(['as' => 'note.'], function () {
        Route::get('note/detail/{nNoteId?}',       'NoteController@noteDetailAction')->name('note-detail');

        Route::get('note/my-notes',        'NoteController@myNotesAction')->name('my-notes');
        Route::get('note/following-users-notes',  'NoteController@followingUsersNotesAction')->name('following-users-notes');
        Route::get('note/saved-notes',     'NoteController@savedNotesAction')->name('saved-notes');
        Route::get('search-notes/{keyword?}',     'NoteController@searchNoteAction')->name('search-notes');
        Route::post('note/get-note-view-data',     'NoteController@getNoteViewData')->name('note-view-data');
    });

    //USER
    Route::group(['as' => 'user.'], function () {
        Route::post('signup',               'UserController@SignUpAction')->name('signup');
        Route::post('login',                'UserController@SignInAction')->name('signin');
        Route::get('verification/{key?}',   'UserController@EmailVerificationAction')->name('verification');
        Route::post('forgot-password',      'UserController@ForgotPasswordAction')->name('forgot-password');
        Route::match(['GET','POST'],'reset-password/{key?}','UserController@ResetPasswordAction')->name('reset-password');

        Route::get('user/view-profile/{id}',     'UserController@userProfileForFollowAction')->name('user-view-profile');
        Route::match(['GET','POST'],'profile/{id}',  'UserController@userProfileAction')->name('profile');
        Route::match(['GET','POST'],'followers',  'UserController@getFollowersAction')->name('get-followers');
    });

    /**
     * After Login All routes
     */
    Route::group(['middleware' => 'webAuth'], function () {

        //User After Login
        Route::group(['as' => 'user.'], function () {

            Route::get('logout','UserController@LogoutAction')->name('logout');

            Route::match(['GET','POST'],'change-password',  'UserController@changePasswordAction')->name('change-password');
            Route::post('upload-profile-picture',           'UserController@uploadProfilePictureAction')->name('upload-profile-picture');

            Route::get('user/follow',                       'UserController@followAction')->name('follow');
            Route::get('user/add-area-of-interest',         'UserController@userAddAreaOfInterestAction')->name('add-area-of-interest');

            Route::get('user/update-area-of-interest',      'UserController@userUpdateAreaOfInterestAction')->name('update-area-of-interest');
            Route::get('user/get-notifications',            'UserController@getNotifications')->name('get-notifications');
            Route::post('user/update-notification-status',  'UserController@updateNotificationStatus')->name('update-notification-status');

        });

        //Note After Login
        Route::group(['as' => 'note.'], function () {

            Route::match(['GET','POST'],'note/add-note/{nNoteId?}', 'NoteController@addNoteAction')->name('add-note');

            Route::get('note/add-to-favourite','NoteController@addNoteToFavouriteAction')->name('add-to-favourite');
            Route::get('note/add-rating',      'NoteController@addRatingAction')->name('add-rating');

            Route::post('note/add-report',      'NoteController@addReportAction')->name('add-report');
            Route::get('note/download-note/{nNoteId}',      'NoteController@callDownloadZipAction')->name('download-note');

            Route::post('note/delete-note',      'NoteController@callDeleteNoteAction')->name('delete-note');
            Route::post('note/delete-note-attachment',      'NoteController@callDeleteNoteAttachmentAction')->name('delete-attachment');

            Route::get('note/download-action',      'NoteController@downloadFileFromS3')->name('download');

            Route::get('note/remove-from-folder','NoteController@removeNoteFromFolderAction')->name('remove-note-from-folder');
        });

        Route::group(['as' => 'bucket.'], function () {
            Route::get('user-buckets','BucketController@userBucket')->name('user-buckets');
            Route::get('get-user-buckets','BucketController@getUserBucket')->name('get-user-buckets');
            Route::post('bucket/create','BucketController@createBucket')->name('create-bucket');
            Route::post('bucket/delete','BucketController@deleteBucket')->name('delete-bucket');
            Route::post('bucket/save-note-to-user-bucket','BucketController@saveNoteToUserBucket')->name('save-to-user-bucket');
            Route::get('bucket/get-bucket-notes','BucketController@getBucketNotes')->name('get-bucket-notes');
            Route::get('get-user-buckets-list-move','BucketController@getUserBucketToMove')->name('get-user-buckets-list-move');
            Route::post('move-note-bucket','BucketController@moveNoteBucket')->name('move-note-bucket');
        });


        //Contribute Query suggestion
        Route::post('/add-query-suggestion', 'ContributionQueryCommentController@add')->name('contribution-query-comment-add');
        Route::post('/remove-query-suggestion', 'ContributionQueryCommentController@delete')->name('contribution-query-comment-remove');
        Route::get('/get-query-suggestion-comments', 'ContributionQueryCommentController@getCommentData')->name('get-query-suggestion-comments');
       

    }); //End of middleware check

});

/**
 * Admin Routes
 */
Route::get('/admin/login', 'Admin\AuthController@showLogin')->name('admin.show_login');
Route::post('/admin/login', 'Admin\AuthController@login')->name('admin.login');

Route::group(['namespace' => 'Admin','as' => 'admin.', 'prefix' => 'admin/', 'middleware' => 'auth:admin'], function () {
    Route::get('/', 'HomeController@index')->name('home');

    //Users
    Route::get('/users', 'UserController@index')->name('users');
    Route::post('/users/datatable', 'UserController@datatable')->name('users.datatable');
    Route::post('/users/verify-email', 'UserController@verifyEmail')->name('users.verify_email');
    Route::post('/users/change-status', 'UserController@changeStatus')->name('users.change_status');
   
    //Notes
    Route::get('/notes', 'NoteController@index')->name('notes');
    Route::post('/notes/datatable', 'NoteController@datatable')->name('notes.datatable');
    Route::post('/notes/delete', 'NoteController@delete')->name('notes.delete');
    Route::get('/reported-notes', 'NoteController@reportedNotes')->name('reported.notes');
    Route::post('/reported-notes-datatable', 'NoteController@reportedNoteDatatable')->name('reported.notes.datatable');
    Route::post('/get-reported-note-data', 'NoteController@getReportedNoteData')->name('reported.notes.get_data');

    //Category
    Route::get('/category', 'CategoryController@index')->name('category');
    Route::post('/category/datatable', 'CategoryController@datatable')->name('category.datatable');
    Route::post('/category/store', 'CategoryController@store')->name('category.store');
    Route::get('/category/edit/{id}', 'CategoryController@edit')->name('category.edit');
    Route::post('/category/update', 'CategoryController@update')->name('category.update');
    Route::post('/category/delete', 'CategoryController@destroy')->name('category.delete');
    Route::post('/category/check-name', 'CategoryController@checkName')->name('category.check_name');

    //Language
    Route::post('/language/datatable', 'LanguageController@datatable')->name('language.datatable');
    Route::resource('language', 'LanguageController')->only([
        'index', 'store', 'update', 'destroy'
    ]);;

    Route::get('/logout', 'AuthController@logout')->name('logout');
});

resources/views/web/admin/category.blade.php
@extends('web.admin.layout')
@section('title')
    Category
@endsection
@section('page_title')
    Category
@endsection
@section('css')
<style>
div.dt-buttons {
    float: right;
}
.has-error .error {
    color: red;
}

.categroy-image-datatable {
    width: 170px;
    height: 100px;
}
</style>
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <table id="category-datatable" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Title</th>
                            <th>Image</th>
                            <th>URL</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="addCategoryModel" tabindex="-1" role="dialog" aria-labelledby="addCategoryModelLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <form id="form" enctype="multipart/form-data">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="modal-title" id="addCategoryModelLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="submitType" id="submitType" > 
                    <input type="hidden" name="id" id="id"> 
                    <div class="row">
                        <div class="col-md-12 form-group">
                            <label>Category Name:</label>
                            <input type="text" name="category_name" id="category_name" class="form-control">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 form-group">
                            <label>Category Image:</label>
                            <input type="file" name="image" id="image" class="form-control" accept="image/*">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <input type="submit" class="btn btn-primary" id="btnSave" value="Save">
                </div>
            </div>
        </form>
    </div>
</div>
@endsection
@section('js')
<script>

    var dt = $('#category-datatable').DataTable({
        responsive: true,
        processing: true,
        serverSide: true,
        ajax: {
            url:'{{route("admin.category.datatable")}}',
            type:'POST',
        },
        columns: [
            {data: 'DT_RowIndex'},
            {data: 'category_name'},
            {data: 'image'},
            {data: 'url'},
            {data: 'action'},
        ],
        dom: 'Bfrtip',
        buttons: [
            {
                text: 'Add Category',
                className : 'btn-sm ml-2 mr-2 text-right',
                action: function ( e, dt, node, config ) {
                    showAdd();
                }
            }
        ]
    });

    function showAdd(){
        $('#addCategoryModel').modal('show');
        $('#addCategoryModelLabel').text('Add Category');
        $('#submitType').val('Add');
        $('#id').val('');
    }

    $(document).ready(function () {
        jQuery.validator.addMethod("imageRequired", function(value, element) {
            if($('#submitType').val() == "Add"){
                if ($("#image")[0].files.length === 0) {
                    return false;
                }
            }
            return true;
        }, "Please select image.");

        $("#form").validate({
            ignore: ":hidden",
            rules: {
                category_name: {
                    required: true,
                    remote: {
                        url: "{{route('admin.category.check_name')}}",
                        type: "POST",
                        data: {
                            _token: function(){ return "{{ csrf_token() }}"; },
                            id: function(){ return $("#id").val(); },
                            category_name: function(){ return $("#category_name").val(); },
                        }
                    },
                },
                image: {
                    imageRequired: true,
                    extension: "jpg|jpeg|png|ico|bmp"
                },
            },
            messages:{
                category_name: {
                    required: "Please enter category name",
                    remote: "Category already created" 
                },
                image: {
                    required: "Please upload category image",
                    extension: "Please valid image type",
                }
            },
            highlight: function (element, errorClass) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element, errorClass) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            submitHandler: function (form) {
                var formData = new FormData(form);
                if($('#submitType').val() == "Add"){
                    url = "{{route('admin.category.store')}}"; 
                }else{
                    url = "{{route('admin.category.update')}}"; 
                }
                $.ajax({
                    type:'POST',
                    url: url,
                    data: formData,
                    cache:false,
                    contentType: false,
                    processData: false,
                    success: (data) => {
                        toastr.success(data);
                        clearForm();
                        dt.ajax.reload();
                    },
                    error: function(data){
                        toastr.warning(data);
                    }
                });
            }
        });
    });

    function clearForm(){
        $('#addCategoryModel').modal('hide');
        $("#form").trigger('reset');
        $('#addCategoryModelLabel').text('');
        $('#category_name').val('');
        $('#image').val('');
        $('#btnSave').text('');
        $('#submitType').val('');
        $('#id').val('');

    }

    $(document).on('click', '.deleteCategory',function(){
        $.ajax({
            type:'post',
            url: "{{route('admin.category.delete')}}",
            data:{
                id:$(this).data('id'),
            },
            success:function(data){
                toastr.success(data);
                dt.ajax.reload();
            },
            error: function(data){
                toastr.warning(data);
            }
        });
    });

    $(document).on('click', '.editCategory', function(){
        clearForm();
        data_id = $(this).data('id');
        urlEdit = "{{ route('admin.category.edit', ':id') }}";
        urlEdit = urlEdit.replace(':id', data_id);        

        $.ajax({
            type:'get',
            url: urlEdit,
            success:function(data){
                $('#addCategoryModel').modal('show');
                $('#addCategoryModelLabel').text('Edit Category');
                $('#submitType').val('Update');
                $('#id').val(data.id);
                $('#category_name').val(data.category_name);
            },
            error: function(data){
                toastr.warning(data);
            }
        });

    });
</script>
@endsection

resources/views/web/admin/footer.blade.php
<footer class="main-footer">
    <strong>Copyright &copy; 2014-2021 <a href="{{env('APP_URL')}}">{{ trans("messages.app_name") }}</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
        <b>Version</b> 1.0.0
    </div>
</footer>

resources/views/web/admin/header.blade.php
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
        </li>
    </ul>
    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link" href="{{route('admin.logout')}}" title="Logout">
            <i class="fas fa-sign-out-alt"></i>
            </a>
        </li>
    </ul>
</nav>

resources/views/web/admin/home.blade.php
@extends('web.admin.layout')
@section('title')
    Dashboard
@endsection
@section('page_title')
    Dashboard
@endsection
@section('content')
<div class="row">
    <div class="col-lg-3 col-6">
      <!-- small box -->
      <div class="small-box bg-info">
        <div class="inner">
          <h3>{{$usersCount}}</h3>
          <p>Users</p>
        </div>
        <div class="icon">
          <i class="ion ion-bag"></i>
        </div>
        <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
      </div>
    </div>
    <!-- ./col -->
    <div class="col-lg-3 col-6">
      <!-- small box -->
      <div class="small-box bg-success">
        <div class="inner">
          <h3>{{$usersCount}}</h3>
          <p>Total Users</p>
        </div>
        <div class="icon">
          <i class="ion ion-stats-bars"></i>
        </div>
        <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
      </div>
    </div>
    <!-- ./col -->
    <div class="col-lg-3 col-6">
      <!-- small box -->
      <div class="small-box bg-warning">
        <div class="inner">
          <h3>{{$notesCount}}</h3>
          <p>Notes</p>
        </div>
        <div class="icon">
          <i class="ion ion-person-add"></i>
        </div>
        <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
      </div>
    </div>
    <!-- ./col -->
    <div class="col-lg-3 col-6">
      <!-- small box -->
      <div class="small-box bg-danger">
        <div class="inner">
          <h3>{{$reportedNotesCount}}</h3>

          <p>Reported Notes</p>
        </div>
        <div class="icon">
          <i class="ion ion-pie-graph"></i>
        </div>
        <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
      </div>
    </div>
    <!-- ./col -->
  </div>
@endsection

resources/views/web/admin/notes.blade.php
@extends('web.admin.layout')
@section('title')
    Notes
@endsection
@section('page_title')
    Notes
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <table id="notes-datatable" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Note Title</th>
                            <th>Author Name</th>
                            <th>Note Type</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@section('js')
<script>
    var dt = $('#notes-datatable').DataTable({
        responsive: true,
        processing: true,
        serverSide: true,
        ajax: {
            url:'{{route("admin.notes.datatable")}}',
            type:'POST',
        },
        columns: [
            {data: 'DT_RowIndex'},
            {data: 'title'},
            {data: 'author_name'},
            {data: 'is_video_note'},
            {data: 'action'},
        ]
    });

    $(document).on('click', '.deleteNote',function(){
        $.ajax({
            url: '{{route('admin.notes.delete')}}',
            type: "POST",
            data:  {
                id:$(this).data('id'),
            },
            success: function(data){
                dt.ajax.reload();
                toastr.success(data);
            },
            error: function(){
                toastr.warning('Something went wrong while deleting note.')
            }
        });
    });
</script>
@endsection

resources/views/web/admin/reported_notes.blade.php
@extends('web.admin.layout')
@section('title')
    Reported Notes
@endsection
@section('page_title')
    Reported Notes
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <table id="reported-notes-datatable" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Note Title</th>
                            <th>No of Reportes</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" id="reportModal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Note Reports</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="reportModalBody"></div>
        </div>
    </div>
</div>
@endsection
@section('js')
<script>
    var dt = $('#reported-notes-datatable').DataTable({
        responsive: true,
        processing: true,
        serverSide: true,
        ajax: {
            url:'{{route("admin.reported.notes.datatable")}}',
            type:'POST',
        },
        columns: [
            {data: 'DT_RowIndex'},
            {data: 'title'},
            {data: 'reports_count'},
            {data: 'action'},
        ]
    });
    $(document).on('click', '.viewNoteReport', function(){
        $('#reportModal').modal('hide');
        $('#reportModalBody').empty();
        $.ajax({
            type:'POST',
            url: "{{route('admin.reported.notes.get_data')}}",
            data: {
                id:$(this).data('id'),
            },
            success: (data) => {
                str = '<div class="table-responsive"><table class="table table-striped"><thead><tr><th>Name</th><th>E-mail</th><th>Problem</th><th>Reason</th></tr></thead><tbody>'
                $.each(data, function(index, value){
                    str += '<tr><td>'+value.user.first_name+' '+value.user.last_name+'</td><td>'+value.user.email+'</td><td>'+value.problem+'</td><td>'+value.reason+'</td></tr>';
                });
                str += '</tbody></table></div>';
                
                $('#reportModalBody').html(str);
                $('#reportModal').modal('show');
            },
            error: function(data){
                toastr.warning(data);
            }
        });
    });
</script>
@endsection

resources/views/web/admin/sidebar.blade.php
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('admin.home')}}" class="brand-link">
    <img src="{{asset('web/img/logo.png')}}" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
    <span class="brand-text font-weight-light">{{ trans("messages.app_name") }}</span>
    </a>
    <!-- Sidebar -->
    <div class="sidebar">
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item">
                    <a href="{{route('admin.home')}}" class="nav-link {{ Route::current()->getName() == "admin.home" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-chart-bar"></i>
                        <p>
                            Dashboard
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{route('admin.users')}}" class="nav-link {{ Route::current()->getName() == "admin.users" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-users"></i>
                        <p>
                            Users
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{route('admin.notes')}}" class="nav-link  {{ Route::current()->getName() == "admin.notes" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-sticky-note"></i>
                        <p>
                            Notes
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{route('admin.reported.notes')}}" class="nav-link {{ Route::current()->getName() == "admin.reported.notes" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-sticky-note"></i>
                        <p>
                            Reported Notes
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{route('admin.category')}}" class="nav-link  {{ Route::current()->getName() == "admin.category" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-th"></i>
                        <p>
                            Category
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{route('admin.language.index')}}" class="nav-link  {{ Route::current()->getName() == "admin.language.index" ? 'active' : '' }}">
                        <i class="nav-icon fas fa-language"></i>
                        <p>
                            Language
                        </p>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>

<aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
</aside>

resources/views/web/admin/users.blade.php
@extends('web.admin.layout')
@section('title')
    Users
@endsection
@section('page_title')
    Users
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <table id="users-datatable" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Username</th>
                            <th>Email</th>
                            <th>Registration Date</th>
                            <th>Added No of Notes</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@section('js')
<script>
    var dt = $('#users-datatable').DataTable({
        responsive: true,
        processing: true,
        serverSide: true,
        ajax: {
            url:'{{route("admin.users.datatable")}}',
            type:'POST',
        },
        columns: [
            {data: 'DT_RowIndex'},
            {data: 'username'},
            {data: 'email'},
            {data: 'date'},
            {data: 'notes_count'},
            {data: 'action'},
        ]
    });

    $(document).on('click', '.verifyEmail',function(){
        $.ajax({
            url: '{{route('admin.users.verify_email')}}',
            type: "POST",
            data:  {
                id:$(this).data('id'),
            },
            success: function(data){
                dt.ajax.reload();
                toastr.success("User E-mail verified.");
            },
            error: function(){
                toastr.warning('Something went wrong while verifing E-mail.')
            }
        });
    });

    $(document).on('click', '.changeStatus',function(){
        type = $(this).data('type');
        $.ajax({
            url: '{{route('admin.users.change_status')}}',
            type: "POST",
            data:  {
                id:$(this).data('id'),
                type:type,
            },
            success: function(data){
                dt.ajax.reload();
                console.log(type);
                if(type == "Active"){
                    toastr.warning("User Deactivated.");
                }else{
                    toastr.success("User Activated.");
                }
            },
            error: function(){
                toastr.warning('Something went wrong while changing user status.')
            }
        });
    });
</script>
@endsection